package ru.yandex.qe.dispenser.domain.pefomance;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface Timing {
    String key() default "";

    boolean root() default false;

    long threshold() default 500;
}
